import { AmqpPublisher } from '@jfrog-pipelines/amqp-client';
import { NodePool } from '@jfrog-pipelines/data-access-layer';
export declare class NodeCollector {
    private readonly nodeService;
    private readonly logger;
    constructor(publisher: AmqpPublisher);
    deProvision(nodePool: NodePool): Promise<void>;
    private getNodes;
    private computeDeleteState;
    private getNodeDeleteCondition;
    private computeCachedState;
    private applyDeleteStateToNodes;
    private applyCachedStateToNodes;
}
